

<div class="assignmentSkillWrap">

  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Assignment  Focus Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Assignment Focus
      </button>
    </div>
  </div>
  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Assignment Focus </th>
        <th>Assignment Focus Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentFocusObj of assignmentFocusList">
        <td>{{assignmentFocusObj.assignmentFocusName}}</td>
        <td>{{assignmentFocusObj.assignmentFocusDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentFocusObj)">
          Edit Focus
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentFocusObj)">
          Delete Focus
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentFocus">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Focus</h4>
        <h4  *ngIf="isEdit">Edit Focus</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentFocus="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentFocusObj.touched && assignmentFocusObj.invalid">
              <label for="assignmentName">  Focus Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentFocusObj.assignmentFocusName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Enter Focus "/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Focus Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Focus Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentFocusObj.assignmentFocusDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter Focus Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentFocus()" [disabled]="!assignmentFocus.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentFocus()" [disabled]="!assignmentFocus.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentFocus">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Focus</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deleteFocusObj.assignmentFocusObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentFocus(deletefocusObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
